org.apache.ignite.internal.pagemem.wal.record

## Class SnapshotRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.SnapshotRecord

    public class SnapshotRecord
    extends WALRecord

Wal snapshot record.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotRecord(long snapshotId, boolean full)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getSnapshotId()`
`boolean` `isFull()`
`boolean` `rollOver()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnapshotRecord

    public SnapshotRecord(long snapshotId,
                          boolean full)

### Method Detail

#### getSnapshotId

    public long getSnapshotId()

#### isFull

    public boolean isFull()

#### rollOver

    public boolean rollOver()

Overrides:
  `rollOver` in class `WALRecord`
Returns:
  Need wal rollOver.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019